List all items

Examples

Get the 101st through 199th active items:

curl -H "X-Rollbar-Access-Token: YOUR_ACCESS_TOKEN" 'https://api.rollbar.com/api/1/items/?status=active&page=2'

Get the first page of items that are error or critical, in the production environment:

curl -H "X-Rollbar-Access-Token: YOUR_ACCESS_TOKEN" 'https://api.rollbar.com/api/1/items/?level=error&level=critical&environment=production'

Note that the total_count in the result will return null if your project has more than 100,000 unique items.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
project_ids
array of integers

Project IDs to search when using an Account Access Token. Specify multiple times to search multiple projects. If omitted, the search runs across all projects available to the token. Ignored when using a Project Access Token, which always searches its own project.

project_ids
string

If not empty, only items assigned to the specified user will be returned. Must be a valid Rollbar username, or you can use the keywords assigned (items that are assigned to any user or team) or unassigned (items with no assigned user or team).

assigned_team
array of strings

If not empty, only items assigned to the specified team will be returned. Must be a valid Rollbar team name. Specify multiple times to filter by multiple teams. Cannot be combined with assigned_user.

assigned_team
string

If not empty, only items in the specified environment will be returned. Specify multiple times to filter by multiple environments.

string

If not empty, only items in the specified framework will be returned. Specify multiple times to filter by multiple frameworks.

ids
array of integers

(comma-separated list of integers) if not empty, list of item IDs to return, instead of using all items in the project

ids
string

If not empty, only items with the specified level will be returned. Valid values: debug, info, warning, error, critical. Specifiy multiple times to filter by multiple levels.

int32

Page number, starting from 1. 100 items are returned per page by default.

string

A search string, using the same format as the search box on the Items page.

string

If not empty, only items with the specified status will be returned. Valid values: active, resolved, muted, archived. Specify multiple times to filter by multiple statuses.

boolean

If true, only snoozed items will be returned. If false, snoozed items will be excluded.

Headers
string
required

Use a Project or Account Access Token with 'read' scope (Account tokens can limit the search with project_ids)

Responses

project_ids that the token can't read are left out of the query, and the request is refused only when none are left. Also returned when the account's plan doesn't include the Metrics API.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json